## com.vividsolutions.jts.operation.buffer
Class OffsetCurveVertexList

    java.lang.Object
      com.vividsolutions.jts.operation.buffer.OffsetCurveVertexList

public class OffsetCurveVertexList
extends java.lang.Object

A list of the vertices in a constructed offset curve. Automatically removes close adjacent vertices.

Author:
  Martin Davis

Constructor Summary
`OffsetCurveVertexList()`

Method Summary
`void` `addPt(Coordinate pt)`
`void` `closeRing()`
`Coordinate[]` `getCoordinates()`
`void` `setMinimumVertexDistance(double minimimVertexDistance)`
`void` `setPrecisionModel(PrecisionModel precisionModel)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OffsetCurveVertexList

    public OffsetCurveVertexList()

Method Detail

### setPrecisionModel

    public void setPrecisionModel(PrecisionModel precisionModel)

### setMinimumVertexDistance

    public void setMinimumVertexDistance(double minimimVertexDistance)

### addPt

    public void addPt(Coordinate pt)

### closeRing

    public void closeRing()

### getCoordinates

    public Coordinate[] getCoordinates()

### toString

    public java.lang.String toString()